/* 
 * ------------------------------------------------------------------
 * Role PlayingDB V2.0 by Deepwoods Software
 * ------------------------------------------------------------------
 * Intro.h - Introduction
 * Created by Robert Heller on Sun Jul 19 15:09:44 1998
 * ------------------------------------------------------------------
 * Modification History: 
 * $Log: Intro.h,v $
 * Revision 1.2  1999/07/13 01:31:33  heller
 * Fix documentation: spelling, punctuation, etc.
 *
 * Revision 1.1  1998/12/27 02:36:48  heller
 * Initial revision
 *
 * ------------------------------------------------------------------
 * Contents:
 * ------------------------------------------------------------------
 *  
 *     Role Playing DB -- A database package that creates and maintains
 * 		       a database of RPG characters, monsters, treasures,
 * 		       spells, and playing environments.
 * 
 *     Copyright (C) 1995,1998  Robert Heller D/B/A Deepwoods Software
 * 			51 Locke Hill Road
 * 			Wendell, MA 01379-9728
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  
 */


 
//@Man: Copyright notice.
/*@Doc:
\typeout{Generated from $Id: Intro.h,v 1.2 1999/07/13 01:31:33 heller Rel1 $.}
     Role Playing DB -- \parbox[t]{3.4419in}{A database package that creates and maintains
 		       a database of RPG characters, monsters, treasures,
 		       spells, and playing environments.}
 
     Copyright (C) 1995,1998  \parbox[t]{3.0693in}{Robert Heller D/B/A Deepwoods Software \\
 			51 Locke Hill Road \\
 			Wendell, MA 01379-9728}
 
     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.
 
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

//@Man: Introduction.
/*@Doc: This manual describes the C++ class library used by the Role
Playing Database.  This consists of a collection of classes for the various
base data structures used to represent the various informational objects
used in Role Playing Games.  These informational objects consist of {\it
Characters}, {\it Monsters}, {\it ``Magic'' Spells}, {\it (Dungeon)
Dressings}, and {\it ``Spaces''}.  All of these data objects are built
upon a common low-level data object, a {\tt Record}.  Also included is a
specialized random number generator that emulates one or more dice, dice
being commonly used to implement random {\tt chance} or ``fate'' in most Role
Playing Games\footnote{Some use shuffled decks of cards and others use a mix.}.

Although TSR's {\it Advanced Dungeons \& Dragons} \cite{Gygax77},
\cite{Gygax78}, and \cite{Gygax79} were used as a reference in the
design of these data structures, they should be generic enough to be
usable for any other Role Playing Game system.
*/
